Bug 147480 - CAN-2004-0888 xpdf issues affect cups (CAN-2005-0206)
CAN-2004-0888 xpdf issues affect cups (CAN-2005-0206)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 08:44 EST by Tim Waugh
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:47:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-02-08 08:44:49 EST
*** This bug has been split off bug 135378 ***

This issue affects RHEL4 as well.

------- Original comment by Mark J. Cox (Security Response Team) on 2004.10.12
07:50 -------

CUPS contains a stripped down version of xpdf.  Recent issues have
been found in xpdf 2 that can result in integer overflows causing bad
memory allocation or out of bounds writes.  It's not expected these
can cause arbitrary code execution, more likely to be DoS crashers.

Embargoed until October 20th 1400UTC

Patch to follow
CVE names to follow
Comment 3 Mark J. Cox (Product Security) 2005-02-15 04:47:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-053.html

Note You need to log in before you can comment on or make changes to this bug.